/*
 * @Author: wrh
 * @Date: 2024-09-02 15:06:51
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2024-09-04 14:56:38
 */
import request from '@/utils/request'

// 查询cmc承接分包合同列表
export function listContractSubcontract(query) {
  return request({
    url: '/oa/contractSubcontract/list',
    method: 'get',
    params: query
  })
}

// 查询cmc承接分包合同详细
export function getContractSubcontract(contractId) {
  return request({
    url: '/oa/contractSubcontract/' + contractId,
    method: 'get'
  })
}

// 新增cmc承接分包合同
export function addContractSubcontract(data) {
  return request({
    url: '/oa/contractSubcontract',
    method: 'post',
    data: data
  })
}

// 修改cmc承接分包合同
export function updateContractSubcontract(data) {
  return request({
    url: '/oa/contractSubcontract',
    method: 'put',
    data: data
  })
}

// 删除cmc承接分包合同
export function delContractSubcontract(subcontractId) {
  return request({
    url: '/oa/contractSubcontract/' + subcontractId,
    method: 'delete'
  })
}

// 删除cmc承接分包合同通过承接合同id
export function delContractSubcontractByContractId(contractId) {
  return request({
    url: '/oa/contractSubcontract/contractIds/' + contractId,
    method: 'delete'
  })
}


